import fetch from '../../lib/fetch';
import Util from '../../lib/Util';

export default class GoogleProvider {
    constructor(key, uri) {
        this.key = key;
        this.uri = uri;
    }

    supports(langs, to, from) {
        return (langs.indexOf(from) > -1) && (langs.indexOf(to) > -1);
    }

    getLangs() {
        return fetch(this.uri + 'languages' + Util.stringify({ key: this.key }))
            .then(response => {
                return response.data.languages.map(item => {
                    return item.language;
                });
            })
        ;
    }

    translate(text, to, from) {
        const data = {
            key: this.key,
            'q': text,
            source: from,
            target: to,
        };

        return fetch(this.uri + Util.stringify(data))
            .then(response => {
                return response.data.translations.shift().translatedText;
            })
        ;
    }
}
