import Util from '../../lib/Util';

export default class NoopProvider {
    constructor(key, uri) {
        this.key = key;
        this.uri = uri;
    }

    supports(langs, to, from) {
        const lang = Util.composeLangsAlias(from, to);

        return [lang].indexOf(lang) > -1;
    }

    getLangs() {
        return new Promise(resolve => {
            setTimeout(() => {
                resolve(['en-ru', 'ru-en']);
            }, 350);
        });
    }

    translate(text, to, from) {
        const lang = Util.composeLangsAlias(from, to);

        return new Promise(resolve => {
            setTimeout(() => {
                resolve(`${text}_${lang}`);
            }, 350);
        });
    }
}
