import fetch from '../../lib/fetch';
import Util from '../../lib/Util';

export default class YandexProvider {
    constructor(key, uri) {
        this.key = key;
        this.uri = uri;
    }

    supports(langs, to, from) {
        return langs.indexOf(Util.composeLangsAlias(from, to)) > -1;
    }

    getLangs() {
        return fetch(this.uri + 'getLangs' + Util.stringify({ key: this.key }))
            .then(response => {
                return response.dirs;
            })
        ;
    }

    translate(text, to, from) {
        const data = {
            key: this.key,
            text: text,
            lang: Util.composeLangsAlias(from, to),
        };

        return fetch(this.uri + 'translate' + Util.stringify(data))
            .then(response => {
                return response.text.shift();
            })
        ;
    }
}
